Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1244538 - Review Request: scikit-rf - Python library for RF/Microwave engineering.
Summary: Review Request: scikit-rf - Python library for RF/Microwave engineering.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-07-19 19:54 UTC by Kiara Navarro
Modified: 2018-07-19 18:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-19 18:23:33 UTC


Attachments (Terms of Use)

Description Kiara Navarro 2015-07-19 19:54:37 UTC
Spec URL: https://sophiekovalevsky.fedorapeople.org/RPM/scikit-rf/scikit-rf.spec
SRPM URL: https://sophiekovalevsky.fedorapeople.org/RPM/scikit-rf/scikit-rf-0.14-1.fc22.src.rpm
Description: Scikit-rf is one of the best python library to work with RF-Microwave topics. It provides a modern, object-oriented library which is both flexible and scalable.
Fedora Account System Username: sophiekovalevsky

Additional:
➜  SPECS  rpmlint -v scikit-rf.spec            
scikit-rf.spec: I: checking
scikit-rf.spec: I: checking-url http://github.com/scikit-rf/scikit-rf/archive/4481df5c1ed5efe6f9921a0c90e4f48662924f6e/scikit-rf-4481df5c1ed5efe6f9921a0c90e4f48662924f6e.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


➜  SPECS  rpmlint -v ../SRPMS/scikit-rf-0.14-1.fc22.src.rpm
scikit-rf.src: I: checking
scikit-rf.src: W: name-repeated-in-summary C Scikit-rf
scikit-rf.src: I: checking-url http://scikit-rf.org (timeout 10 seconds)
scikit-rf.src: I: checking-url http://github.com/scikit-rf/scikit-rf/archive/4481df5c1ed5efe6f9921a0c90e4f48662924f6e/scikit-rf-4481df5c1ed5efe6f9921a0c90e4f48662924f6e.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Antonio Trande 2015-09-08 17:14:53 UTC
Hi Kiara,

what about to swap the reviews?
https://bugzilla.redhat.com/show_bug.cgi?id=1215354

Comment 2 Kiara Navarro 2015-12-02 01:05:19 UTC
(In reply to Antonio Trande from comment #1)
> Hi Kiara,
> 
> what about to swap the reviews?
> https://bugzilla.redhat.com/show_bug.cgi?id=1215354

I see now that the package have been assigned to other packager. Can you take this package to review it?

Thanks,

Comment 3 Antonio Trande 2015-12-25 18:19:02 UTC
- BuildRequires packages for Python2 are missing.

- >%{!?__python2: %global __python2 %{__python}}

This definition is not necessary in Fedora.
Do you want build in EPEL this package?

- The macro %{py3dir} is not used. See http://fedoraproject.org/wiki/Packaging:Python_Appendix#Using_separate_build_directories

- Source archive provides tests; why do you not run them?

Comment 4 Antonio Trande 2016-03-09 17:47:33 UTC
Kiara, are you still interested to this review ?


Note You need to log in before you can comment on or make changes to this bug.